Dashboard

Interactive growth graph

GET
/api/v1/growth/graph

Decomposition of the headline movement into metrics, segments and supporting evidence. Edges are decompositions or correlations - never causal claims.

Authorization

HTTPBearer
AuthorizationBearer <token>

JWT access token

In: header

Query Parameters

days?integer

Look-back window in days.

Range7 <= value <= 180
Default30
merchant_id?|

Optional merchant to act on. Must be one you are a member of.

Formatuuid

Header Parameters

X-Merchant-ID?string|null

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v1/growth/graph"
{  "data": {    "caveat": "Relationships shown are statistical signals and correlations observed in the current dataset. They are not causal claims.",    "edges": [      {        "label": "",        "relationship": "decomposes_into",        "source": "string",        "strength": 0.5,        "target": "string"      }    ],    "generated_at": "2019-08-24T14:15:22Z",    "nodes": [      {        "change_pct": 0,        "depth": 0,        "direction": "UP",        "evidence": [          {            "change": "string",            "confidence": 0,            "detail": "string",            "metric": "string",            "reference": "string",            "source": "analytics",            "value": "string"          }        ],        "formatted_value": "",        "id": "string",        "interpretation": "",        "label": "string",        "metric_key": "string",        "node_kind": "metric",        "reference": "string",        "related_metrics": [          "string"        ],        "severity": "CRITICAL",        "source": "analytics",        "value": 0      }    ],    "period": {      "current": {        "end": "2019-08-24",        "start": "2019-08-24"      },      "days": 0,      "label": "string",      "previous": {        "end": "2019-08-24",        "start": "2019-08-24"      }    },    "root_id": "string"  },  "meta": {},  "success": true}